CTL_ZONEINFO(8)

NAME
ctl_zoneinfo - Cyrus IMAP documentation

perform operations on the zoneinfo database

SYNOPSIS

    ctl_zoneinfo [ -C config-file ] [ -v ] -r version-string
    ctl_zoneinfo [ -C config-file ] [ -v ] -w file

DESCRIPTION

ctl_zoneinfo is used to perform various administrative operations on the zoneinfo database.

ctl_zoneinfo reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

OPTIONS

-C config-file
    Use the specified configuration file config-file rather than the default imapd.conf(5).

-v, --verbose
    Enable verbose output.

-r version-string, --rebuild=version-string
    Rebuild the zoneinfo database based on the directory structure of configdirectory/zoneinfo. The database to be rebuilt will be in the default location of configdirectory/zoneinfo.db unless otherwise specified by the zoneinfo_db_path option in imapd.conf(5). The version-string should describe the source of the timezone data (e.g. "Olson:2020a") and will be used by the tzdist module of httpd(8). The version-string must contain a colon between the description and the version.

-w file, --windows-zone-xml=file
    Reads Windows Zone XML file.

EXAMPLES

[NB: Examples needed]

HISTORY

This command was introduced in version 2.5

FILES

/etc/imapd.conf, <configdirectory>/zoneinfo.db

SEE ALSO

imapd.conf(5), httpd(8), master(8)

AUTHOR
The Cyrus Team, Nic Bernstein (Onlight)

COPYRIGHT
1993–2026, The Cyrus Team